Package com.tibco.patterns.grouping

## Class CsvPairInput

- java.lang.Object
- - com.tibco.patterns.grouping.CsvPairInput

- All Implemented Interfaces:
    `java.lang.Iterable<InputPair>`

      public class CsvPairInput
      extends java.lang.Object
      implements java.lang.Iterable<InputPair>

  Generates a sequence of pairs from a csv file.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `skip_self_matches` | Indicates whether to skip self-match pairs (pairs where the two record keys are identical).

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CsvPairInput​(java.lang.String filename, CsvInputOptions input_options)` | Creates a CsvPairInput object using the input options provided.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Iterator<InputPair>` | `iterator()` | Implements interface Iterable.
    `void` | `releaseForwardKeymappings()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### skip_self_matches

          public boolean skip_self_matches

      Indicates whether to skip self-match pairs (pairs where the two record keys are identical). Default is true. Disabling this may have unexpected consequences and is not recommended.

  - ### Constructor Detail

    - #### CsvPairInput

          public CsvPairInput​(java.lang.String filename,
                              CsvInputOptions input_options)
                       throws GroupingException

      Creates a CsvPairInput object using the input options provided.
      Parameters:
        `filename` - The csv file.
        `input_options` - CsvInputOptions object defining how to handle lines in the input csv file
      Throws:
        `GroupingException` - if input_options had inconsistencies.

  - ### Method Detail

    - #### iterator

          public java.util.Iterator<InputPair> iterator()

      Implements interface Iterable.
      Specified by:
        `iterator` in interface `java.lang.Iterable<InputPair>`

    - #### releaseForwardKeymappings

          public void releaseForwardKeymappings()